<template lang="pug">
<div class="plusTool tool" @click="pushProduct" v-show="hover">
    <BIconPlus font-scale="1.5" />
</div>
</template>

<script>
import {
    BIconPlus
} from "bootstrap-vue";
export default {
    props: {
        index: {
            type: [String, Number],
            default: "",
        },
    },
    components: {
        BIconPlus,
    },
    data() {
        return {
            hover: false,
        };
    },
    methods: {
        pushProduct() {
            this.$store.commit("PUSH_SECONDARYCOMPONENT_PRODUCT_VALUE", {
                key: this.index,
                product: {
                    product_img: require("@/assets/png/product_img_default.png"),
                    product_title: "全球新一代智能秒開磁扣護脊書包-一年級二年級護脊書包▶TigerFamily 小學者超輕量護脊書包-恬靜小馬",
                    product_orginal_price: "320",
                    product_price: "450",
                    product_id: "E0",
                },
            });
        },
    },
    mounted() {
        this.$root.$on("boolean::hover::product_card_plus" + this.index, (b) => {
            this.hover = b;
        });
    },
};
</script>

<style lang="scss">
.plusTool {
    position: absolute;
    top: 50%;
    right: -20px;
    transform: translateY(-50%);
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: #fff;
    box-shadow: 2px 2px 20px rgba($color: #000000, $alpha: 0.125);
    border: 1px solid rgba($color: #000000, $alpha: 0.125);
    z-index: 10;
    cursor: pointer;
    transition: all 0.3s ease-in;

    svg {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }
}
</style>
